Groovy 1.7.0

## org.codehaus.groovy.runtime
Class WritableFile

    java.lang.Object
      java.io.File
          org.codehaus.groovy.runtime.WritableFile

All Implemented Interfaces:
  Writable

    class WritableFile
    extends File

A Writable File.

author:
  John Wilson

Field Summary

Fields inherited from class File
separatorChar, separator, pathSeparatorChar, pathSeparator

Constructor Summary
`WritableFile(File delegate)`
`WritableFile(File delegate, String encoding)`

Method Summary
`Writer` | `writeTo(Writer out)`

Methods inherited from class File

hashCode, compareTo, compareTo, equals, toString, getName, length, getCanonicalPath, getParent, isAbsolute, setReadOnly, list, list, delete, getPath, canExecute, canRead, canWrite, createNewFile, createTempFile, createTempFile, deleteOnExit, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getFreeSpace, getParentFile, getTotalSpace, getUsableSpace, isDirectory, isFile, isHidden, lastModified, listFiles, listFiles, listFiles, listRoots, mkdir, mkdirs, renameTo, setExecutable, setExecutable, setLastModified, setReadable, setReadable, setWritable, setWritable, toURI, toURL, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### WritableFile

    public WritableFile(File delegate)

### WritableFile

    public WritableFile(File delegate, String encoding)

Method Detail

### writeTo

    public Writer writeTo(Writer out)

Copyright © 2003-2009 The Codehaus. All rights reserved.